%define url_ver %(echo %{version} | cut -d. -f1,2)
%define main_ver %(echo %{version} | cut -d. -f1,2,3)

%global __provides_exclude_from %{_docdir}
%global __requires_exclude_from %{_docdir}

%define build_gssapi 1
%define build_ldap 1
%define build_lucene 1
%define build_solr 1
%define build_mysql 1
%define build_pgsql 1
%define build_sqlite 1
%define build_pigeonhole 1

%{?_with_gssapi: %{expand: %%global build_gssapi 1}}
%{?_without_gssapi: %{expand: %%global build_gssapi 0}}
%{?_with_ldap: %{expand: %%global build_ldap 1}}
%{?_without_ldap: %{expand: %%global build_ldap 0}}
%{?_with_lucene: %{expand: %%global build_lucene 1}}
%{?_without_lucene: %{expand: %%global build_lucene 0}}
%{?_with_solr: %{expand: %%global build_solr 1}}
%{?_without_solr: %{expand: %%global build_solr 0}}
%{?_with_mysql: %{expand: %%global build_mysql 1}}
%{?_without_mysql: %{expand: %%global build_mysql 0}}
%{?_with_pgsql: %{expand: %%global build_pgsql 1}}
%{?_without_pgsql: %{expand: %%global build_pgsql 0}}
%{?_with_sqlite: %{expand: %%global build_sqlite 1}}
%{?_without_sqlite: %{expand: %%global build_sqlite 0}}
%{?_with_pigeonhole: %{expand: %%global build_pigeonhole 1}}
%{?_without_pigeonhole: %{expand: %%global build_pigeonhole 0}}

%define pigeonhole_ver 0.5.17.1

%define _disable_ld_no_undefined 1

Summary:	Secure IMAP and POP3 server
Name:		dovecot
Version:	2.3.17.1
%define		subrel 2
Release:	%mkrel 1
License:	MIT and LGPLv2 and BSD-like and Public Domain
Group:		System/Servers
URL:		https://dovecot.org
Source0:	https://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz
Source1:	https://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz.sig
Source2:	%{name}-pamd
Source4:	https://dovecot.org/tools/migration_wuimp_to_dovecot.pl
Source5:	https://dovecot.org/tools/mboxcrypt.pl
Source6:	https://pigeonhole.dovecot.org/releases/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz
Source7:	https://pigeonhole.dovecot.org/releases/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz.sig
Source8:	https://www.earth.ox.ac.uk/~steve/sieve/procmail2sieve.pl
Source9:	%{name}-tmpfiles.conf

Patch0:		dovecot-2.2.6-compress-ldl.patch
Patch1:		dovecot-2.3.2.1-force_dh.patch
Patch2:		dovecot-2.3.5-mga-fix-libstemmer-include.patch
Patch3:		CVE-2022-30550.patch

Provides:	imap-server pop3-server
Provides:	imaps-server pop3s-server
Requires(post):	systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper >= 0.21
Requires(post):	rpm-helper >= 0.21
Requires(preun): rpm-helper >= 0.21
Requires(postun): rpm-helper >= 0.21
Requires(post):	openssl
# for /etc/ssl/ symlinks
Requires:	rootcerts >= 20121018.00-2.mga3
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(bdw-gc)
BuildRequires:	pkgconfig(systemd)
%if %{build_ldap}
BuildRequires:	openldap-devel
%endif
%if %{build_lucene}
BuildRequires:	pkgconfig(libclucene-core)
%endif
%if %{build_solr}
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libcurl)
%endif
%if %{build_mysql}
BuildRequires:	mysql-devel
%endif
%if %{build_pgsql}
BuildRequires:	postgresql-devel
%endif
%if %{build_gssapi}
BuildRequires:	pkgconfig(libgssglue)
BuildRequires:	pkgconfig(krb5)
%endif
%if %{build_sqlite}
BuildRequires:	pkgconfig(sqlite3)
%endif
BuildRequires:	rpm-helper >= 0.21
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bzip2-devel
BuildRequires:	libstemmer-devel

%description
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.


Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):

    --with[out] gssapi		GSSAPI support (enabled)
    --with[out] ldap		LDAP support (enabled)
    --with[out] lucene		Lucene support (enabled)
    --with[out] solr		Solr support (enabled)
    --with[out] mysql		MySQL support (enabled)
    --with[out] pgsql		PostgreSQL support (enabled)
    --with[out] sqlite		SQLite support (enabled)
    --with[out] sieve		Pigeonhole Sieve and ManageSieve support (enabled)

%if %{build_pigeonhole}

%package	pigeonhole
Summary:	Pigeonhole Sieve/ManageSieve plugin for dovecot LDA
Group:		System/Servers
Requires:	%{name} >= %{version}
Obsoletes:	%{name}-plugins-sieve < 2.0, %{name}-plugins-managesieve < 2.0

# ease upgrade because of files moved
Conflicts:	dovecot < 2.3.7.2-3

%description	pigeonhole
This package provides the Pigeonhole Sieve/ManageSieve plugin version %{pigeonhole_ver}
for dovecot LDA.

%package	pigeonhole-devel
Summary:	Pigeonhole Sieve/ManageSieve development files
Group:		Development/C
Requires:	%{name}-pigeonhole >= %{version}

%description	pigeonhole-devel
This package contains development files for Pigeonhole Sieve/ManageSieve %{pigeonhole_ver}.

%endif

%if %{build_pgsql}
%package	plugins-pgsql
Summary:	Postgres SQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-pgsql
This package provides the Postgres SQL backend for dovecot-auth etc.
%endif

%if %{build_mysql}
%package	plugins-mysql
Summary:	MySQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-mysql
This package provides the MySQL backend for dovecot-auth etc.
%endif

%if %{build_ldap}
%package	plugins-ldap
Summary:	LDAP support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-ldap
This package provides LDAP capabilities to dovecot in a modular form.
%endif

%if %{build_gssapi}
%package	plugins-gssapi
Summary:	GSSAPI support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-gssapi
This package provides GSSAPI capabilities to dovecot in a modular form.
%endif

%if %{build_sqlite}
%package	plugins-sqlite
Summary:	SQLite backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-sqlite
This package provides the SQLite backend for dovecot-auth etc.
%endif

%package	devel
Summary:	Development files for Dovecot IMAP and POP3 server
Group:		Development/C
Requires:	%{name} >= %{version}

%description	devel
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

This package contains development files for dovecot.

%prep

%setup -q -n dovecot-%{version}
# Bug #27491
%if %{build_lucene}
sed -i '/DEFAULT_INCLUDES *=/s|$| '"$(pkg-config --cflags libclucene-core)|" src/plugins/fts-lucene/Makefile.in
%endif

%if %{build_pigeonhole}
%setup -q -D -T -a 6 -n dovecot-%{version}
%define	pigeonhole_dir %{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}
%endif

%autopatch -p1

%build
%serverbuild
# (doktor5000) --with-gc causes memory leaks and is disregarded by upstream
# see https://bugs.mageia.org/show_bug.cgi?id=18047
%configure \
    --disable-static \
    --with-sql=plugin \
    --with-ssl=openssl \
    --with-nss \
    --with-libcap \
%if %{build_ldap}
    --with-ldap=plugin \
%endif
%if %{build_pgsql}
    --with-pgsql \
%endif
%if %{build_mysql}
    --with-mysql \
%endif
%if %{build_sqlite}
    --with-sqlite \
%endif
%if %{build_gssapi}
    --with-gssapi=plugin \
%endif
%if %{build_lucene}
    --with-lucene \
%endif
%if %{build_solr}
    --with-solr \
%endif
    --with-ssldir=%{_sysconfdir}/pki/tls \
    --with-moduledir=%{_libdir}/%{name}/modules \
    --with-rundir=/run/%{name} \
    --with-statedir=%{_localstatedir}/lib/%{name} \
    --with-systemd \
    --with-systemdsystemunitdir=%{_unitdir}

%make_build

%if %{build_pigeonhole}
pushd %{pigeonhole_dir}
autoreconf -fi
%configure \
    --disable-static \
    --with-dovecot=../ \
    --with-unfinished-features
%make_build
popd
%endif

%install
install -d %{buildroot}%{_sysconfdir}/%{name}/conf.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/%{name}/modules
install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_localstatedir}/lib/dovenull

%make_install

%if %{build_pigeonhole}

pushd %{pigeonhole_dir}
%make_install
#mv %%{buildroot}%%{_libdir}/%%{name}/sieve %%{buildroot}%%{_libdir}/%%{name}/modules
install -m 644 doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}-pigeonhole

%endif

cat %{SOURCE2} > %{buildroot}%{_sysconfdir}/pam.d/%{name}

install -m 644 doc/example-config/%{name}*.conf* %{buildroot}%{_sysconfdir}/%{name}
install -m 644 doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d

# Since 2.2, Dovecot tries to listen to IPv4 and IPv6 interfaces by default.
# Dovecot won't start out of the box if IPv6 interface is not present.
# Let's switch to IPv4-only configuration for now.
sed -e "/listen =/ a\listen = *" -i %{buildroot}%{_sysconfdir}/%{name}/dovecot.conf

cp %{SOURCE4} .
cp %{SOURCE5} .

# procmail2sieve converter
install -d -m 755 %{buildroot}%{_bindir}
install %{SOURCE8} -m 755 %{buildroot}%{_bindir}
perl -pi -e 's|#!/usr/local/bin/perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_bindir}/procmail2sieve.pl

install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# remove the libtool archives
find %{buildroot} -name '*.la' -delete

# automatic reloading for new plugins
%transfiletriggerin -- %{_libdir}/%{name}/modules/
systemctl try-restart %{name}.service

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false
%_pre_groupadd %{name} %{name}
%_pre_useradd dovenull %{_localstatedir}/lib/dovenull /bin/false
%_pre_groupadd dovenull dovenull

#Extract dovenull home directory
NULLHOME=`getent passwd dovenull | cut -d: -f6`;
if [ -z "${NULLHOME}" -o "${NULLHOME}" = "%{_localstatedir}/lib/%{name}" ]; then
	#Fix dovenull home for earlier version
	usermod -d %{_localstatedir}/lib/dovenull dovenull;
fi

%post
%_tmpfilescreate %{name}
%_post_service %{name}
%_create_ssl_certificate %{name}

#Check if dh it don't exists
#XXX: required by upgrade to version 2.3
if [ ! -e "%{_sysconfdir}/dovecot/dh.pem" ]; then
	#Generate the dh pem file in background
	echo "Generate %{_sysconfdir}/dovecot/dh.pem with 4096 bits, please wait completion."
	systemd-run -G --no-block openssl dhparam -out %{_sysconfdir}/dovecot/dh.pem 4096;
fi

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name}
%_postun_userdel dovenull
%_postun_groupdel dovenull

%files
%doc AUTHORS ChangeLog COPYING* NEWS README TODO
%doc mboxcrypt.pl migration_wuimp_to_dovecot.pl
%doc %{_docdir}/%{name}

%dir %{_sysconfdir}/dovecot
%dir %{_sysconfdir}/dovecot/conf.d
%config(noreplace) %{_sysconfdir}/dovecot/README
#list all so we'll be noticed if upstream changes anything
%config(noreplace) %{_sysconfdir}/dovecot/dovecot.conf
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-auth.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-oauth2.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-auth.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-director.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-logging.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-mail.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-master.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-metrics.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-ssl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-lda.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-mailboxes.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-imap.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-lmtp.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-pop3.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-submission.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-acl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-quota.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-plugin.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-checkpassword.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-deny.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-dict.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-master.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-passwdfile.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-static.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-system.conf.ext

%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%attr(0750,dovecot,dovecot) %dir %{_localstatedir}/lib/%{name}
%attr(0750,dovenull,dovenull) %dir %{_localstatedir}/lib/dovenull

%if %{build_pigeonhole}
%exclude %{_libdir}/%{name}/modules/*_sieve_plugin.so
%exclude %{_libdir}/%{name}/modules/sieve/*_sieve_imapsieve_plugin.so
%exclude %{_libdir}/%{name}/modules/sieve/*_sieve_extprograms_plugin.so
%exclude %{_libdir}/%{name}/modules/doveadm/*_sieve_plugin.so
%exclude %{_libdir}/%{name}/modules/settings/libmanagesieve*.so
%exclude %{_libdir}/%{name}/modules/settings/libpigeonhole_settings.so
%endif

%{_bindir}/doveadm
%{_bindir}/doveconf
%{_bindir}/dsync
%{_bindir}/dovecot-sysreport
%{_sbindir}/%{name}
%{_unitdir}/dovecot.service
%{_unitdir}/dovecot.socket

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/dovecot-config
%{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libdriver*sql*.so
%exclude %{_libdir}/%{name}/modules/*/libdriver*sql*.so
%exclude %{_libdir}/%{name}/modules/auth/libauthdb_ldap.so
%exclude %{_libdir}/%{name}/modules/auth/libmech_gssapi.so
%{_libdir}/%{name}/libdcrypt_openssl.so
%{_libdir}/%{name}/libdovecot.so*
%{_libdir}/%{name}/libdovecot-compression.so*
%{_libdir}/%{name}/libdovecot-dsync.so*
%{_libdir}/%{name}/libdovecot-fts.so*
%{_libdir}/%{name}/libdovecot-lda.so*
%{_libdir}/%{name}/libdovecot-ldap.so*
%{_libdir}/%{name}/libdovecot-login.so*
%{_libdir}/%{name}/libdovecot-sql.so*
%{_libdir}/%{name}/libdovecot-storage.so*


%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/aggregator
%{_libexecdir}/%{name}/anvil
%{_libexecdir}/%{name}/auth
%{_libexecdir}/%{name}/checkpassword-reply
%{_libexecdir}/%{name}/config
%{_libexecdir}/%{name}/decode2text.sh
%{_libexecdir}/%{name}/deliver
%{_libexecdir}/%{name}/dict
%{_libexecdir}/%{name}/director
%{_libexecdir}/%{name}/dns-client
%{_libexecdir}/%{name}/doveadm-server
%{_libexecdir}/%{name}/dovecot-lda
%{_libexecdir}/%{name}/gdbhelper
%{_libexecdir}/%{name}/health-check.sh
%{_libexecdir}/%{name}/imap
%{_libexecdir}/%{name}/imap-hibernate
%{_libexecdir}/%{name}/imap-login
%{_libexecdir}/%{name}/imap-urlauth
%{_libexecdir}/%{name}/imap-urlauth-login
%{_libexecdir}/%{name}/imap-urlauth-worker
%{_libexecdir}/%{name}/indexer
%{_libexecdir}/%{name}/indexer-worker
%{_libexecdir}/%{name}/ipc
%{_libexecdir}/%{name}/lmtp
%{_libexecdir}/%{name}/log
%{_libexecdir}/%{name}/maildirlock
%{_libexecdir}/%{name}/old-stats
%{_libexecdir}/%{name}/pop3
%{_libexecdir}/%{name}/pop3-login
%{_libexecdir}/%{name}/quota-status
%{_libexecdir}/%{name}/rawlog
%{_libexecdir}/%{name}/replicator
%{_libexecdir}/%{name}/script
%{_libexecdir}/%{name}/script-login
%{_libexecdir}/%{name}/stats
%{_libexecdir}/%{name}/submission
%{_libexecdir}/%{name}/submission-login
%{_libexecdir}/%{name}/xml2text

%{_tmpfilesdir}/%{name}.conf

%{_mandir}/man1/doveadm*.1*
%{_mandir}/man1/dovecot*.1*
%{_mandir}/man1/doveconf*.1*
%{_mandir}/man1/deliver.1*
%{_mandir}/man1/dsync.1*
%{_mandir}/man7/doveadm*.7*

# stopwords list for full text search library
%{_datadir}/%{name}/stopwords/stopwords_*.txt

%if %{build_pigeonhole}
%files pigeonhole
%doc %{pigeonhole_dir}/{AUTHORS,ChangeLog,COPYING*,INSTALL,NEWS,README}
%doc %{pigeonhole_dir}/doc/*
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/20-managesieve.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/90-sieve.conf
%config(noreplace) %{_sysconfdir}/%{name}/conf.d/90-sieve-extprograms.conf
%{_bindir}/procmail2sieve.pl
%{_bindir}/sieve-dump
%{_bindir}/sieve-filter
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_libdir}/%{name}/lib%{name}-sieve.so*
%{_libexecdir}/%{name}/managesieve
%{_libexecdir}/%{name}/managesieve-login
%{_libdir}/%{name}/modules/*_sieve_plugin.so
%{_libdir}/%{name}/modules/sieve/*_sieve_imapsieve_plugin.so
%{_libdir}/%{name}/modules/sieve/*_sieve_extprograms_plugin.so
%{_libdir}/%{name}/modules/doveadm/*_sieve_plugin.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_settings.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_login_settings.so
%{_libdir}/%{name}/modules/settings/libpigeonhole_settings.so
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_mandir}/man1/sieve-dump.1*
%{_mandir}/man1/sieve-filter.1*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man7/pigeonhole.7*

%files pigeonhole-devel
%{_includedir}/%{name}/sieve
%{_datadir}/aclocal/dovecot-pigeonhole.m4

%endif

%if %{build_ldap}
%files plugins-ldap
%{_libdir}/%{name}/modules/auth/libauthdb_ldap.so
%endif

%if %{build_gssapi}
%files plugins-gssapi
%{_libdir}/%{name}/modules/auth/libmech_gssapi.so
%endif

%if %{build_sqlite}
%files plugins-sqlite
%{_libdir}/%{name}/modules/libdriver_sqlite.so
%{_libdir}/%{name}/modules/auth/libdriver_sqlite.so
%{_libdir}/%{name}/modules/dict/libdriver_sqlite.so
%endif

%if %{build_mysql}
%files plugins-mysql
%{_libdir}/%{name}/modules/libdriver_mysql.so
%{_libdir}/%{name}/modules/auth/libdriver_mysql.so
%{_libdir}/%{name}/modules/dict/libdriver_mysql.so
%endif

%if %{build_pgsql}
%files plugins-pgsql
%{_libdir}/%{name}/modules/libdriver_pgsql.so
%{_libdir}/%{name}/modules/auth/libdriver_pgsql.so
%{_libdir}/%{name}/modules/dict/libdriver_pgsql.so
%endif

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/%{name}/dovecot-config
%{_datadir}/aclocal/%{name}.m4
%if %{build_pigeonhole}
%exclude %{_includedir}/%{name}/sieve
%endif


%changelog
* Tue Aug 23 2022 ns80 <ns80> 2.3.17.1-1.2.mga8
+ Revision: 1879541
- add upstream patch for CVE-2022-30550 (mga#30618)
+ kekepower <kekepower>
- Enable systemd service file
+ neoclust <neoclust>
- New version 2.3.17.1: Fixes CVE-2020-28200, CVE-2021-29157 and CVE-2021-33515 (mga#29160)

* Mon Jan 04 2021 kekepower <kekepower> 2.3.13-1.mga8
+ Revision: 1668797
- Update to version 2.3.13
- Pigeonhold 0.5.13
- Fixes CVE-2020-24386

* Thu Dec 03 2020 luigiwalser <luigiwalser> 2.3.11.3-4.mga8
+ Revision: 1652149
- rebuild again for fix libstemmer

* Thu Dec 03 2020 luigiwalser <luigiwalser> 2.3.11.3-3.mga8
+ Revision: 1652121
- rebuild for libstemmer

* Mon Nov 30 2020 luigiwalser <luigiwalser> 2.3.11.3-2.mga8
+ Revision: 1650880
- rebuild for icu

* Thu Aug 13 2020 kekepower <kekepower> 2.3.11.3-1.mga8
+ Revision: 1613874
- Update to version 2.3.11.3

* Wed Jul 01 2020 wally <wally> 2.3.10.1-2.mga8
+ Revision: 1601018
- rebuild for icu 67.1

* Mon May 18 2020 kekepower <kekepower> 2.3.10.1-1.mga8
+ Revision: 1585981
- Update to version 2.3.10.1

* Sat Apr 04 2020 wally <wally> 2.3.10-2.mga8
+ Revision: 1564454
- rebuild for new icu 66.1

* Fri Mar 06 2020 kekepower <kekepower> 2.3.10-1.mga8
+ Revision: 1554426
- Update to version 2.3.10

* Tue Feb 18 2020 umeabot <umeabot> 2.3.9.3-2.mga8
+ Revision: 1539878
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 kekepower <kekepower> 2.3.9.3-1.mga8
+ Revision: 1505570
- Update to version 2.3.9.3
 o Fixes CVE-2020-7046 and CVE-2020-7957
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 13 2019 kekepower <kekepower> 2.3.9.2-1.mga8
+ Revision: 1466646
- Update to version 2.3.9.2

* Fri Dec 13 2019 kekepower <kekepower> 2.3.9.1-1.mga8
+ Revision: 1466195
- Update to version 2.3.9.1

* Wed Dec 04 2019 kekepower <kekepower> 2.3.9-1.mga8
+ Revision: 1464262
- Update to version 2.3.9
- Update pigeonhole to version 0.5.9

* Mon Oct 28 2019 daviddavid <daviddavid> 2.3.7.2-3.mga8
+ Revision: 1456290
- fix missing sieve plugins from pigeonhole sub-pkg (mga#25626)
- move some sieve plugins from main pkg to pigeonhole sub-pkg as it should

* Sat Oct 05 2019 daviddavid <daviddavid> 2.3.7.2-2.mga8
+ Revision: 1449479
- rebuild for new icu 65.1

* Wed Aug 28 2019 kekepower <kekepower> 2.3.7.2-1.mga8
+ Revision: 1434905
- Update to version 2.3.7.2 to fix CVE-2019-11500 (mga#25371)

* Tue Jul 23 2019 kekepower <kekepower> 2.3.7.1-2.mga8
+ Revision: 1423635
- Update pigeonhole to version 0.5.7.1

* Tue Jul 23 2019 kekepower <kekepower> 2.3.7.1-1.mga8
+ Revision: 1423612
- Update to version 2.3.7.1

* Fri Jul 19 2019 kekepower <kekepower> 2.3.7-1.mga8
+ Revision: 1422887
- Update to version 2.3.7
- Update pigeonhole to 0.5.7

* Tue Apr 30 2019 kekepower <kekepower> 2.3.6-1.mga7
+ Revision: 1395957
- Update to version 2.3.6 to fix CVE-2019-11494 and CVE-2019-11499 (mga#24739)

* Fri Apr 19 2019 kekepower <kekepower> 2.3.5.2-1.mga7
+ Revision: 1393528
- Update to versin 2.3.5.2
- Fixes CVE-2019-10691 (mga#24689)

* Sun Mar 31 2019 kekepower <kekepower> 2.3.5.1-1.mga7
+ Revision: 1383701
- Update to version 2.3.5.1 to fix CVE-2019-7524 (mga#24588)

* Wed Mar 06 2019 kekepower <kekepower> 2.3.5-1.mga7
+ Revision: 1371808
- Update to version 2.3.5

* Tue Feb 05 2019 kekepower <kekepower> 2.3.4.1-1.mga7
+ Revision: 1363459
- Update to version 2.3.4.1 to fix CVE-2019-3814 (mga#24314)

* Fri Jan 11 2019 daviddavid <daviddavid> 2.3.4-2.mga7
+ Revision: 1354693
- rebuild for new icu

* Fri Nov 23 2018 kekepower <kekepower> 2.3.4-1.mga7
+ Revision: 1333681
- Update to version 2.3.4
- Update pidgeonhole to version 0.5.4

* Sun Oct 14 2018 shlomif <shlomif> 2.3.3-1.mga7
+ Revision: 1320308
- New version 2.3.3

* Fri Sep 07 2018 rapsys <rapsys> 2.3.2.1-5.mga7
+ Revision: 1257654
- Delay dh.pem generation with a systemd-run process to avoid blocking update/upgrade process.
  (it would require to be tested if it works in an installation from cd/livecd)

* Sun Sep 02 2018 rapsys <rapsys> 2.3.2.1-4.mga7
+ Revision: 1256175
- Fix shared dovecot and dovenull users shared home
  Force ssl_dh required parameter in new 2.3 version [https://wiki2.dovecot.org/Upgrading/2.3]
  Generate or migrate new dh.pem automaticaly as best as possible

* Sat Sep 01 2018 rapsys <rapsys> 2.3.2.1-3.mga7
+ Revision: 1256110
- Add patch from dovecot ml to fix auth crash with new glibc-2.28

* Sat Sep 01 2018 rapsys <rapsys> 2.3.2.1-2.mga7
+ Revision: 1256095
- Try rebuild for new glibc

* Mon Aug 20 2018 shlomif <shlomif> 2.3.2.1-1.mga7
+ Revision: 1253083
- New version 2.3.2.1

* Sat Jul 07 2018 shlomif <shlomif> 2.3.2-1.mga7
+ Revision: 1242546
- New version 2.3.2

* Sun Apr 01 2018 mokraemer <mokraemer> 2.3.1-1.mga7
+ Revision: 1214241
- new version 2.3.1

* Thu Mar 01 2018 kekepower <kekepower> 2.3.0.1-1.mga7
+ Revision: 1205833
- Update to version 2.3.0.1

* Sat Feb 10 2018 kekepower <kekepower> 2.3.0-5.mga7
+ Revision: 1200233
- Fixed overwriting a config file (mga#22555)

* Wed Jan 31 2018 mokraemer <mokraemer> 2.3.0-4.mga7
+ Revision: 1198245
- updated patch

* Fri Jan 26 2018 mokraemer <mokraemer> 2.3.0-3.mga7
+ Revision: 1197256
- Fix memory leak, (mga#22468, CVE-2017-15132)

* Thu Jan 11 2018 mokraemer <mokraemer> 2.3.0-2.mga7
+ Revision: 1192423
- Fix bad log output (mga#22372)

* Wed Jan 10 2018 mokraemer <mokraemer> 2.3.0-1.mga7
+ Revision: 1192014
- new dovecot 2.3.0

* Fri Dec 29 2017 wally <wally> 2.2.32-3.mga7
+ Revision: 1186968
- rebuild for new icu

* Sat Dec 23 2017 wally <wally> 2.2.32-2.mga7
+ Revision: 1184224
- rebuild for new mariadb

* Thu Sep 07 2017 guillomovitch <guillomovitch> 2.2.32-1.mga7
+ Revision: 1151832
- new version 2.2.32

* Wed Aug 23 2017 ovitters <ovitters> 2.2.29.1-1.mga7
+ Revision: 1144252
+ rebuild (emptylog)

* Fri Apr 14 2017 luigiwalser <luigiwalser> 2.2.29.1-1.mga6
+ Revision: 1096548
- dovecot 2.2.29.1
- pigeonhole 0.4.18

* Mon Mar 20 2017 akien <akien> 2.2.28-2.mga6
+ Revision: 1093675
- Rebuild for icu 58.2

* Wed Mar 01 2017 luigiwalser <luigiwalser> 2.2.28-1.mga6
+ Revision: 1088219
- dovecot 2.2.28
- pigeonhole 0.4.17

* Tue Jan 03 2017 luigiwalser <luigiwalser> 2.2.27-2.mga6
+ Revision: 1079899
- pigeonhole 0.4.16

* Tue Jan 03 2017 guillomovitch <guillomovitch> 2.2.27-1.mga6
+ Revision: 1079840
- new version 2.2.27

* Sun Oct 30 2016 luigiwalser <luigiwalser> 2.2.25-2.mga6
+ Revision: 1064107
- pigeonhole 0.4.15

* Tue Jul 05 2016 luigiwalser <luigiwalser> 2.2.25-1.mga6
+ Revision: 1039039
- 2.2.25

* Sat May 14 2016 daviddavid <daviddavid> 2.2.24-2.mga6
+ Revision: 1015549
- rebuild for new icu

* Mon May 09 2016 luigiwalser <luigiwalser> 2.2.24-1.mga6
+ Revision: 1011780
- dovecot 2.2.24
- pigeonhole 0.4.14

* Wed Mar 30 2016 luigiwalser <luigiwalser> 2.2.23-1.mga6
+ Revision: 996876
- dovecot 2.2.23
- pigeonhole 0.4.13

* Mon Mar 21 2016 doktor5000 <doktor5000> 2.2.22-2.mga6
+ Revision: 993473
- disable --with-gc as it causes memory leaks and is disregarded (mga#18047)
  o thanks to Dieter Schuetze for the report and upstream pointer

* Wed Mar 16 2016 luigiwalser <luigiwalser> 2.2.22-1.mga6
+ Revision: 992035
- dovecot 2.2.22
- pigeonhole 0.4.12

* Wed Mar 02 2016 umeabot <umeabot> 2.2.21-5.mga6
+ Revision: 983362
- Rebuild for openssl

* Sun Feb 28 2016 oden <oden> 2.2.21-4.mga6
+ Revision: 980337
- rebuilt for postgresql 9.5.x

* Fri Feb 12 2016 doktor5000 <doktor5000> 2.2.21-3.mga6
+ Revision: 957368
- drop old deprecated filetriggers
- add transaction-based filetrigger

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.2.21-2.mga6
+ Revision: 917824
- rebuild for icu

* Sun Dec 27 2015 luigiwalser <luigiwalser> 2.2.21-1.mga6
+ Revision: 915690
- disable linking error due to doveadm-sieve plugin for now
- dovecot 2.2.21
- pigeonhole 0.4.10

* Wed Nov 25 2015 luigiwalser <luigiwalser> 2.2.19-2.mga6
+ Revision: 905988
- add patch from fedora to start after network-online.target (mga#17219)

* Tue Nov 17 2015 ycantin <ycantin> 2.2.19-1.mga6
+ Revision: 903840
- new version 2.2.19 (mga#17162)
- new 2.2 pigeonhole version 0.4.9

* Thu Aug 13 2015 ycantin <ycantin> 2.2.18-1.mga6
+ Revision: 864146
- new version 2.2.18
- new 2.2 pigeonhole version 0.4.8

* Wed Jul 08 2015 guillomovitch <guillomovitch> 2.2.13-6.mga6
+ Revision: 852879
- fix file conflict with gssapi and ldap plugins

* Tue Nov 25 2014 cjw <cjw> 2.2.13-5.mga5
+ Revision: 798980
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.13-4.mga5
+ Revision: 744452
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 tv <tv> 2.2.13-3.mga5
+ Revision: 697350
- excludes requires from doc (mga#14116)

* Tue Sep 16 2014 umeabot <umeabot> 2.2.13-2.mga5
+ Revision: 678822
- Mageia 5 Mass Rebuild

* Tue May 13 2014 oden <oden> 2.2.13-1.mga5
+ Revision: 622466
- dovecot-2.2.13 (fixes CVE-2014-3430)
- pigeonhole-0.4.3

* Wed Apr 02 2014 anssi <anssi> 2.2.6-3.mga5
+ Revision: 611246
- fix wrong sieve extprograms plugin location that prevented it from
  being used

* Tue Oct 22 2013 umeabot <umeabot> 2.2.6-2.mga4
+ Revision: 541337
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 mitya <mitya> 2.2.6-1.mga4
+ Revision: 495613
- New version 2.2.6
+ luigiwalser <luigiwalser>
- add Requires(post): openssl, for create_ssl_certificate call (mga#10243)

* Mon Aug 19 2013 fwang <fwang> 2.1.17-1.mga4
+ Revision: 467648
- new version 2.1.17
- use -fi

* Mon Jun 17 2013 fwang <fwang> 2.1.16-1.mga4
+ Revision: 444017
- update file list
- new version 2.1.16

* Fri Jun 07 2013 guillomovitch <guillomovitch> 2.1.15-3.mga4
+ Revision: 439545
- fix configuration files permissions
- cleanup documentation files

* Sun Mar 24 2013 colin <colin> 2.1.15-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Feb 10 2013 mitya <mitya> 2.1.15-1.mga3
+ Revision: 397698
- New version 2.1.15

* Sat Jan 12 2013 colin <colin> 2.1.13-3.mga3
+ Revision: 358975
- Fix filelist
- Switch to tmpfiles for /var/run dirs
- Use filetriggers for restarts on module install

* Fri Jan 11 2013 umeabot <umeabot> 2.1.13-2.mga3
+ Revision: 349071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 mitya <mitya> 2.1.13-1.mga3
+ Revision: 341127
- New version 2.1.13

* Mon Jan 07 2013 blino <blino> 2.1.12-4.mga3
+ Revision: 340670
- explicitely list all conf files to notice changes
- drop special perms in /etc (like Fedora) and make conf files world
  readable, so that LIBDIR/dovecot/imap can be run as user (e.g. for
  gnus); password can be stored in different file readable only for root
  via !include_try directive
- allow to skip prep/build in rpm build by not removing build system files and dirs
- drop ssl paths patch and require newer rootcerts for compat paths
- drop now unused initscript

* Sun Jan 06 2013 pterjan <pterjan> 2.1.12-3.mga3
+ Revision: 339606
- Fix for _libdir != _libexecdir

* Wed Dec 26 2012 mitya <mitya> 2.1.12-2.mga3
+ Revision: 335259
- Switch to upstream method to fix underlinking

* Sun Dec 23 2012 mitya <mitya> 2.1.12-1.mga3
+ Revision: 334073
- Dovecot 2.1.12
- Pigeonhole 0.3.3

* Sun Feb 26 2012 colin <colin> 1.2.17-3.mga2
+ Revision: 215373
- Fix filelist
- Fix build with automake 1.11.2+
- Fix pidfile LSB header (mga#3823)

* Tue Dec 20 2011 dmorgan <dmorgan> 1.2.17-2.mga2
+ Revision: 185101
- Create  /var/run/dovecot ( mga #3823)

* Thu Sep 29 2011 mikala <mikala> 1.2.17-1.mga2
+ Revision: 150294
- Disable clucene build for now (won't work with clucene 2.3.3.4)

* Thu May 19 2011 dmorgan <dmorgan> 1.2.17-1.mga1
+ Revision: 99793
- Update to version 1.2.17 ( Fix crashes ( see http://dovecot.org/pipermail/dovecot/2011-May/059086.html ) )

* Thu Mar 24 2011 dmorgan <dmorgan> 1.2.16-4.mga1
+ Revision: 77094
- Rebuild against new mysql

* Mon Feb 21 2011 dmorgan <dmorgan> 1.2.16-3.mga1
+ Revision: 55194
- imported package dovecot


* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.16-3mdv2011.0
+ Revision: 626996
- rebuilt against mysql-5.5.8 libs, again

* Mon Dec 27 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.16-2mdv2011.0
+ Revision: 625417
- rebuilt against mysql-5.5.8 libs

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.16-1mdv2011.0
+ Revision: 603523
- 1.2.16
- update the 3rd party addons

* Mon Oct 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.15-1mdv2011.0
+ Revision: 582946
- 1.2.15

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1.2.14-2mdv2011.0
+ Revision: 579485
- update file list
- sieve 0.1.17

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1.2.14-1mdv2011.0
+ Revision: 579455
- new version 1.2.14

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 1.2.13-1mdv2011.0
+ Revision: 558262
- New version 1.2.13

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 1.2.12-1mdv2011.0
+ Revision: 550587
- update to new version 1.2.12

* Thu Apr 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.2.11-2mdv2010.1
+ Revision: 533057
- Rebuild for new openssl

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 1.2.11-1mdv2010.1
+ Revision: 516829
- new version 1.2.11

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-3mdv2010.1
+ Revision: 511561
- rebuilt against openssl-0.9.8m

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-2mdv2010.1
+ Revision: 507027
- rebuild

* Tue Jan 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-1mdv2010.1
+ Revision: 496739
- 1.2.10
- updated the addons to the latest versions

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 1.2.9-1mdv2010.1
+ Revision: 479643
- new version 1.2.9

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdv2010.1
+ Revision: 468250
- 1.2.8
- 1.2.7-managesieve-0.11.9
- sieve-0.1.13

* Wed Oct 14 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-1mdv2010.0
+ Revision: 457352
- 1.2.6
- update P8

* Tue Sep 22 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-1mdv2010.0
+ Revision: 447364
- 1.2.5
- sieve-0.1.12
- managesieve-0.11.9

* Mon Aug 10 2009 Funda Wang <fwang@mandriva.org> 1.2.3-2mdv2010.0
+ Revision: 414137
- fix build

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2010.0
+ Revision: 412951
- fix deps
- 1.2.3
- sync changes with dovecot-1.2.2-1.20090728snap.fc12.src.rpm but with a twist

* Mon Jun 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.16-1mdv2010.0
+ Revision: 381971
- update to new version 1.1.16

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.15-1mdv2010.0
+ Revision: 377278
- update to new version 1.1.15

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 1.1.14-1mdv2010.0
+ Revision: 370983
- New versin 1.1.14

* Thu Mar 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.13-1mdv2009.1
+ Revision: 357723
- update to new version 1.1.13

* Tue Mar 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.12-1mdv2009.1
+ Revision: 356874
- update to new version 1.1.12

* Thu Feb 05 2009 Michael Scherer <misc@mandriva.org> 1.1.11-1mdv2009.1
+ Revision: 337739
- update to 1.1.11
- fix dovecot-sieve compilation

* Mon Feb 02 2009 Jérôme Soyer <saispo@mandriva.org> 1.1.10-1mdv2009.1
+ Revision: 336528
- New upstream release

* Wed Jan 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.8-2mdv2009.1
+ Revision: 329402
- add procmail to sieve conversion tool

* Fri Jan 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-1mdv2009.1
+ Revision: 327528
- dovecot-1.1.8
- dovecot-sieve-1.1.6

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.7-2mdv2009.1
+ Revision: 315214
- rediffed one fuzzy patch

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.7-1mdv2009.1
+ Revision: 311826
- 1.1.7

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-3mdv2009.1
+ Revision: 311198
- rebuilt against mysql-5.1.30 libs

* Wed Nov 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.6-2mdv2009.1
+ Revision: 300121
- fix the permission stuff again (numeric mode in filelist was overriding the
  earlier chmod command)

* Wed Nov 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-1mdv2009.1
+ Revision: 300041
- 1.1.6

* Wed Nov 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-5mdv2009.1
+ Revision: 299971
- set deliver to be group mail (forgot in last commit)

* Tue Nov 04 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-4mdv2009.1
+ Revision: 299933
- implement nifty dodge for permissions issues relating to #44926 (see comment)

* Fri Oct 24 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-3mdv2009.1
+ Revision: 296857
- fix non-parallel init for the ntpd issue too

* Fri Oct 24 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-2mdv2009.1
+ Revision: 296853
- add should-start ntpd to initscript (fabrice facorat, #45035)
- dovecot.conf needs to be 644 not 640 (#44926)

* Wed Oct 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-1mdv2009.1
+ Revision: 293893
- 1.1.4

* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.3-3mdv2009.0
+ Revision: 282240
- 0755 for initscript not 0700

* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.3-2mdv2009.0
+ Revision: 282065
- ensure initscript has 0700 permissions (twice, belt and braces!) #41788

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 1.1.3-1mdv2009.0
+ Revision: 280492
- New release

* Fri Aug 15 2008 Michael Scherer <misc@mandriva.org> 1.1.2-1mdv2009.0
+ Revision: 272216
- new version
- fix source url

* Thu Jun 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-0.2mdv2009.0
+ Revision: 229256
- nss had nothing to do with nss-devel :-)
- enable everything per default
- fix conditionals
- reload dovecot if needed for the plugins sub packages
- added lsm headers

* Wed Jun 25 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-0.1mdv2009.0
+ Revision: 229123
- 1.1.1
- reworked the conditional magic
- the ldap and gssapi functionalities has been broken
  out to subpackages, dovecot-plugins-ldap and dovecot-plugins-gssapi
- the modulesdir should not be %%{_datadir}/%%{name} but in fact
  %%{_libdir}/%%{name}/modules

* Fri Jun 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-1mdv2009.0
+ Revision: 218841
- 1.0.14

* Mon Mar 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-1mdv2008.1
+ Revision: 183490
- 1.0.13 (Minor security fixes)

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.12-2mdv2008.1
+ Revision: 180930
- fix #38615

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.12-1mdv2008.1
+ Revision: 180856
- 1.0.12

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-4mdv2008.1
+ Revision: 168821
- versionned build dependency on rpm-helper

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-3mdv2008.1
+ Revision: 159934
- use new create ssl certificate helper macro interface

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.10-2mdv2008.1
+ Revision: 159425
- add sieve plugin (#32581)

* Tue Jan 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-1mdv2008.1
+ Revision: 153290
- 1.0.10

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.9-2mdv2008.1
+ Revision: 137504
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.0.9-1mdv2008.1
+ Revision: 119730
- New release 1.0.9

* Tue Dec 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-1mdv2008.1
+ Revision: 115393
- 1.0.8

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdv2008.1
+ Revision: 106384
- 1.0.7

* Mon Sep 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 89292
- 1.0.5

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-4mdv2008.0
+ Revision: 64673
- use ssl certs creation helpers

  + Tibor Pittich <tibor@mandriva.com>
    - fixed Bug #27491 and #27561

* Thu Aug 16 2007 Tibor Pittich <tibor@mandriva.com> 1.0.3-2mdv2008.0
+ Revision: 64136
- increase release number
- really enable ldap support
- fix with/without rpm build options, fix dexcription

* Wed Aug 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdv2008.0
+ Revision: 63642
- 1.0.3

* Thu Aug 02 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-4mdv2008.0
+ Revision: 58315
- BuildRequires krb5-devel for gssapi build
- use Fedora licensing policy (licensing on this app is insane, this is a good way to handle it)

* Fri Jul 27 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-3mdv2008.0
+ Revision: 56127
- build with support for GSSAPI authentication (bug #32112)

* Tue Jul 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2008.0
+ Revision: 52872
- fix rpm-helper Requires(post,preun) and such
- fix deps
- 1.0.2

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.1-2mdv2008.0
+ Revision: 45127
- using serverbuild macro (-fstack-protector-all)

  + Adam Williamson <awilliamson@mandriva.org>
    - adjust ssl stuff as advised by guillaume (#27561)

* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 40141
- 1.0.1

* Tue Jun 12 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 38341
- install /etc/pki/dovecot/dovecot-openssl.cnf (bug #27561)
- argh, wrong branch! revert
- import 2007 package to updates

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 19904
- upgrade to 1.0.0 ( at last )

* Sat Apr 21 2007 Anssi Hannula <anssi@mandriva.org> 1.0.rc26-2mdv2008.0
+ Revision: 16707
- migrate away from deprecated pam_stack.so


* Tue Mar 13 2007 Jérôme Soyer <saispo@mandriva.org> 1.0.rc26-1mdv2007.1
+ Revision: 142202
- New RC

* Sun Mar 04 2007 Michael Scherer <misc@mandriva.org> 1.0.rc25-1mdv2007.1
+ Revision: 131924
- update to 1.0.rc25

* Fri Jan 12 2007 Michael Scherer <misc@mandriva.org> 1.0.rc17-1mdv2007.1
+ Revision: 107793
- upgrade to rc17

* Wed Nov 29 2006 Michael Scherer <misc@mandriva.org> 1.0.rc15-1mdv2007.1
+ Revision: 88778
- use default upstream configuration file
- bunzip patch
- upgrade to 1.0.rc15
- Import dovecot

* Tue Sep 05 2006 Jerome Soyer <saispo@mandriva.org> 1.0.rc7.1mdv2007.0
- new version

* Thu Jul 13 2006 Nicolas Chipaux <chipaux@mandriva.com> 1.0.rc2.1mdv2007.0
- new version
- split in devel rpm

* Mon Jun 26 2006 Nicolas Chipaux <chipaux@mandriva.com> 1.09.beta9.1mdv2007.0
- new version

* Tue May 30 2006 Jerome Soyer <saispo@mandriva.org> 0.99.14-4mdv2007.0
- CVE-2006-2414 
- use mkrel

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.14-3mdk
- rebuilt against openssl-0.9.8a

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.14-2mdk
- rebuilt against new openldap-2.3.6 libs

* Fri Mar 18 2005 Michael Scherer <misc@mandrake.org> 0.99.14-1mdk
- New release 0.99.14
- better summary
- add some tools in %%doc

* Fri Feb 04 2005 Michael Scherer <misc@mandrake.org> 0.99.12-2mdk
- Rebuild new ldap

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.99.12-1mdk
- New release 0.99.12

* Wed Aug 11 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.99.10.9-2mdk
- fix init script to make rpmlint happy
- create switches to allow/deny some features and and describe it in
  description
- update url
- by default disable pgsql support, added configurable support for mysql
- change provides to pop3-server and add imaps and pop3s-server provides
- minimalize number of nonstandard permission in files
- some other spec changes, macroszification

* Tue Aug 10 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.99.10.9-1mdk
- 0.99.10.9

* Thu Jul 15 2004 Michael Scherer <misc@mandrake.org> 0.99.10.7-1mdk 
- 0.99.10.7
- rpmbuildupdate aware

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 0.99.10.6-1mdk
- New release 0.99.10.6
- replaced the patch on conf by a source file
- fix BuildRequires, and init script ( from Michael Reinsch <mr@uue.org> )
- remove implicit requires, added new provides scheme
- remove service restart on upgrade, as it is already done by spec-helper

